Skip to main content
GET
/
domains
/
{domain}
/
information
Get Domain Information
curl --request GET \
  --url https://vicem.com/modules/addons/DomainsReseller/api/index.php/domains/{domain}/information \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --header 'token: <token>' \
  --header 'username: <username>' \
  --data domain=example.com
{
  "domain": "<string>",
  "nameservers": [
    "<string>"
  ],
  "transferLock": true,
  "expiryDate": "2023-11-07T05:31:56Z",
  "registrationStatus": "<string>",
  "restorable": true,
  "renewBeforeExpiration": true,
  "idProtectionStatus": true,
  "dnsManagementStatus": true,
  "emailForwardingStatus": true,
  "transferLockExpiryDate": "2023-11-07T05:31:56Z",
  "irtpOptOutStatus": true,
  "irtpTransferLock": true,
  "irtpTransferLockExpiryDate": "2023-11-07T05:31:56Z",
  "domainContactChangePending": true,
  "domainContactChangeExpiryDate": "2023-11-07T05:31:56Z",
  "willDomainSuspend": true,
  "isIrtpEnabled": true,
  "irtpVerificationTriggerFields": [
    "<string>"
  ],
  "registrantEmailAddress": "<string>"
}

Headers

username
string<email>
required

Reseller email address registered in WHMCS

token
string
required

HMAC-SHA256 authentication token.

PHP formula: base64_encode(hash_hmac('sha256', $apiKey, $email . ':' . gmdate('y-m-d H')))

Important: hash_hmac without the 3rd parameter true (returns hex, not binary), then base64_encode of the hex result. The token is 88 characters long.

An optional timestamp header (Unix timestamp, 60-second tolerance) can be sent to synchronize time.

Example:

"YTk4YjRmNjI..."

Path Parameters

domain
string
required

Domain name (e.g. example.com)

Example:

"example.com"

Body

application/x-www-form-urlencoded
domain
string
required

Domain name

Example:

"example.com"

Response

Success - Returns domain information

domain
string

Domain name

nameservers
string[]

List of nameservers

transferLock
boolean

Whether transfer lock is active

expiryDate
string<date-time>

Expiry date

registrationStatus
string

Registration status

restorable
boolean | null

Whether the domain can be restored

renewBeforeExpiration
boolean | null

Whether renewal before expiration is allowed

idProtectionStatus
boolean | null

Whether ID protection is active

dnsManagementStatus
boolean | null

Whether DNS management is active

emailForwardingStatus
boolean | null

Whether email forwarding is active

transferLockExpiryDate
string<date-time> | null

Transfer lock expiry date

irtpOptOutStatus
boolean | null

IRTP opt-out status

irtpTransferLock
boolean | null

Whether IRTP transfer lock is active

irtpTransferLockExpiryDate
string<date-time> | null

IRTP transfer lock expiry date

domainContactChangePending
boolean | null

Whether a contact change is pending

domainContactChangeExpiryDate
string<date-time> | null

Contact change expiry date

willDomainSuspend
boolean | null

Whether suspension is pending

isIrtpEnabled
boolean | null

Whether IRTP is enabled

irtpVerificationTriggerFields
string[]

Fields that trigger IRTP verification

registrantEmailAddress
string | null

Registrant email address